summaryrefslogtreecommitdiff
path: root/bin/debvm-run
diff options
context:
space:
mode:
authorHelmut Grohne <helmut@subdivi.de>2023-01-25 10:07:32 +0100
committerHelmut Grohne <helmut@subdivi.de>2023-01-25 10:07:32 +0100
commit6f9e95308cdd0497e2a4f35d870aa8015a81b60a (patch)
treec91d0229052e6661e0d3c5ca64aded5f8eff71dc /bin/debvm-run
parent8b7a39b3713b9223c3861b5153ffc019f312e88a (diff)
downloaddebvm-6f9e95308cdd0497e2a4f35d870aa8015a81b60a.tar.gz
debvm-run: make shellcheck happy
Fixes: 66b9374cc19c ("debvm-run: extract kernel image before inspecting it")
Diffstat (limited to 'bin/debvm-run')
-rwxr-xr-xbin/debvm-run9
1 files changed, 5 insertions, 4 deletions
diff --git a/bin/debvm-run b/bin/debvm-run
index 336a509..1055467 100755
--- a/bin/debvm-run
+++ b/bin/debvm-run
@@ -105,11 +105,12 @@ die() {
exit 1
}
with_set_ex() {
- local ret
echo "+ $*" 1>&2
- ret=0
- "$@" || ret=$?
- test "$ret" = 0 || die "failed with exit code $ret"
+ with_set_ex_ret=0
+ "$@" || with_set_ex_ret=$?
+ if test "$with_set_ex_ret" != 0; then
+ die "failed with exit code $with_set_ex_ret"
+ fi
}
usage() {
die "usage: $0 [-g] [-i image] [-s sshport] [-- qemu options]"